from setuptools import setup, find_packages

requirements = [
    'albumentations==1.4.2',
    'azure-ai-formrecognizer==3.3.2',
    'azure-common==1.1.28',
    'azure-core==1.30.1',
    'blinker==1.7.0',
    'certifi==2024.2.2',
    'cffi==1.16.0',
    'charset-normalizer==3.3.2',
    'click==8.1.7',
    'colorama==0.4.6',
    'cryptography==42.0.5',
    'easyocr==1.7.1',
    'einops==0.7.0',
    'entmax==1.3',
    'filelock==3.13.1',
    'Flask==3.0.2',
    'Flask-Cors==4.0.0',
    'fsspec==2024.3.1',
    'huggingface-hub==0.21.4',
    'idna==3.6',
    'imageio==2.34.0',
    'isodate==0.6.1',
    'itsdangerous==2.1.2',
    'Jinja2==3.1.3',
    'joblib==1.3.2',
    'lazy-loader==0.3',
    'MarkupSafe==2.1.5',
    'mpmath==1.3.0',
    'msrest==0.7.1',
    'munch==4.0.0',
    'networkx==3.2.1',
    'ninja==1.11.1.1',
    'nltk==3.8.1',
    'numpy==1.26.4',
    'oauthlib==3.2.2',
    'opencv-python==4.9.0.80',
    'opencv-python-headless==4.9.0.80',
    'packaging==24.0',
    'pandas==2.2.1',
    'pdfminer.six==20231228',
    'pdfplumber==0.11.0',
    'pillow==10.2.0',
    'pix2tex==0.1.2',
    'pyclipper==1.3.0.post5',
    'pycparser==2.21',
    'pyenchant==3.2.2',
    'pypdfium2==4.28.0',
    'pyreadline3==3.4.1',
    'python-bidi==0.4.2',
    'python-dateutil==2.9.0.post0',
    'pytz==2024.1',
    'PyYAML==6.0.1',
    'regex==2023.12.25',
    'requests==2.31.0',
    'requests-oauthlib==1.4.0',
    'safetensors==0.4.2',
    'scikit-image==0.22.0',
    'scikit-learn==1.4.1.post1',
    'scipy==1.12.0',
    'shapely==2.0.3',
    'six==1.16.0',
    'sympy==1.12',
    'threadpoolctl==3.4.0',
    'tifffile==2024.2.12',
    'timm==0.5.4',
    'tokenizers==0.15.2',
    'torch==2.2.1',
    'torchvision==0.17.1',
    'tqdm==4.66.2',
    'transformers==4.39.1',
    'typing-extensions==4.10.0',
    'tzdata==2024.1',
    'urllib3==2.2.1',
    'Werkzeug==3.0.1',
    'x-transformers==0.15.0'
]

setup(
    name='AI_ML_Formulas_Recognizer_Extraction',
    version='1.0',
    description='A package for AI recognition tasks developed by Minh Nguyen and Liam.',
    author='Minh Nguyen',
    author_email='minhlenguyen02@gmail.com',
    packages=find_packages(),
    install_requires=requirements
)
